=== debian/control ===
--- 
+++ 
@@ -6,27 +6,28 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libkdepim-dev (>= 4:24.08.2~),
-               libkf6archive-dev (>= 6.3.0~),
-               libkf6coreaddons-dev (>= 6.3.0~),
-               libkf6doctools-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
-               libkf6iconthemes-dev (>= 6.3.0~),
-               libkf6kio-dev (>= 6.3.0~),
-               libkf6newstuff-dev (>= 6.3.0~),
-               libkf6sonnet-dev (>= 6.3.0~),
-               libkf6syntaxhighlighting-dev (>= 6.3.0~),
-               libkidentitymanagement-dev (>= 24.08.2~),
-               libkimap-dev (>= 24.08.2~),
-               libkmailtransport-dev (>= 24.08.2~),
-               libkmime-dev (>= 24.08.2~),
+               libkdepim-dev (>= 4:24.12.0~),
+               libkf6archive-dev (>= 6.6.0~),
+               libkf6colorscheme-dev (>= 6.6.0~),
+               libkf6coreaddons-dev (>= 6.6.0~),
+               libkf6doctools-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6iconthemes-dev (>= 6.6.0~),
+               libkf6kio-dev (>= 6.6.0~),
+               libkf6newstuff-dev (>= 6.6.0~),
+               libkf6sonnet-dev (>= 6.6.0~),
+               libkf6syntaxhighlighting-dev (>= 6.6.0~),
+               libkidentitymanagement-dev (>= 24.12.0~),
+               libkimap-dev (>= 24.12.0~),
+               libkmailtransport-dev (>= 24.12.0~),
+               libkmime-dev (>= 24.12.0~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:24.08.2~),
+               libpimcommon-dev (>= 4:24.12.0~),
                libsasl2-dev,
-               qt6-base-dev (>= 6.6.0+dfsg~),
-               qt6-webengine-dev (>= 6.6.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
+               qt6-webengine-dev (>= 6.7.0~),
                xauth,
                xvfb,
 Standards-Version: 4.7.0
@@ -53,7 +54,7 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libkf6syntaxhighlighting-dev (>= 6.3.0~),
+Depends: libkf6syntaxhighlighting-dev (>= 6.6.0~),
          libkpim6kmanagesieve6 (= ${binary:Version}),
          libkpim6ksieve6 (= ${binary:Version}),
          libkpim6ksievecore6 (= ${binary:Version}),
