=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libkdepim-dev (>= 4:24.12.0~),
+               libkdepim-dev (>= 4:24.12.2~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6colorscheme-dev (>= 6.6.0~),
                libkf6coreaddons-dev (>= 6.6.0~),
@@ -19,12 +19,12 @@
                libkf6newstuff-dev (>= 6.6.0~),
                libkf6sonnet-dev (>= 6.6.0~),
                libkf6syntaxhighlighting-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 24.12.0~),
-               libkimap-dev (>= 24.12.0~),
-               libkmailtransport-dev (>= 24.12.0~),
-               libkmime-dev (>= 24.12.0~),
+               libkidentitymanagement-dev (>= 24.12.2~),
+               libkimap-dev (>= 24.12.2~),
+               libkmailtransport-dev (>= 24.12.2~),
+               libkmime-dev (>= 24.12.2~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:24.12.0~),
+               libpimcommon-dev (>= 4:24.12.2~),
                libsasl2-dev,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),
